/// <reference types="react" />
export interface DPopupPopupRenderProps {
    'data-popup-popupid': string;
    pOnMouseEnter?: React.MouseEventHandler;
    pOnMouseLeave?: React.MouseEventHandler;
    pOnClick?: React.MouseEventHandler;
}
export interface DPopupRenderProps {
    'data-popup-triggerid': string;
    pOnMouseEnter?: React.MouseEventHandler;
    pOnMouseLeave?: React.MouseEventHandler;
    pOnClick?: React.MouseEventHandler;
}
export interface DPopupProps {
    children: (props: DPopupRenderProps) => JSX.Element | null;
    dPopup: (props: DPopupPopupRenderProps) => JSX.Element | null;
    dVisible?: boolean;
    dContainer?: HTMLElement | null;
    dTrigger?: 'hover' | 'click';
    dDisabled?: boolean;
    dEscClosable?: boolean;
    dMouseEnterDelay?: number;
    dMouseLeaveDelay?: number;
    dUpdatePosition?: () => void;
    onVisibleChange?: (visible: boolean) => void;
}
export declare function DPopup(props: DPopupProps): JSX.Element | null;
