import type { DElementSelector } from '@react-devui/hooks/useElement';
import React from 'react';
export interface DAffixRef {
    sticky: boolean;
    updatePosition: () => void;
}
export interface DAffixProps extends React.HTMLAttributes<HTMLDivElement> {
    dContainer?: DElementSelector | false;
    dTop?: number | string;
    dZIndex?: number | string;
}
export declare const DAffix: React.ForwardRefExoticComponent<DAffixProps & React.RefAttributes<DAffixRef>>;
