/// <reference types="react" />
import type { DMenuMode } from './Menu';
export interface DItemProps {
    children: React.ReactNode;
    dId: string;
    dDisabled?: boolean;
    dPosinset: [number, number];
    dMode: DMenuMode;
    dInNav: boolean;
    dActive: boolean;
    dFocusVisible: boolean;
    dIcon?: React.ReactNode;
    dStep: number;
    dSpace: number;
    dLevel?: number;
    onItemClick: () => void;
}
export declare function DItem(props: DItemProps): JSX.Element | null;
