/// <reference types="react" />
import type { DFormControl } from '../form';
export interface DRatingProps extends Omit<React.HTMLAttributes<HTMLDivElement>, 'children'> {
    dFormControl?: DFormControl;
    dModel?: number;
    dName?: string;
    dDisabled?: boolean;
    dTotal?: number;
    dHalf?: boolean;
    dReadOnly?: boolean;
    dCustomIcon?: React.ReactNode | ((value: number) => React.ReactNode);
    dTooltip?: (value: number) => React.ReactNode;
    onModelChange?: (value: number) => void;
}
export declare function DRating(props: DRatingProps): JSX.Element | null;
