/// <reference types="react" />
import type { DFormControl } from '../form';
export interface DSwitchProps extends React.HTMLAttributes<HTMLElement> {
    dFormControl?: DFormControl;
    dModel?: boolean;
    dLabelPlacement?: 'left' | 'right';
    dStateContent?: [React.ReactNode, React.ReactNode];
    dDisabled?: boolean;
    dLoading?: boolean;
    dInputProps?: React.InputHTMLAttributes<HTMLInputElement>;
    dInputRef?: React.Ref<HTMLInputElement>;
    onModelChange?: (checked: boolean) => void;
}
export declare function DSwitch(props: DSwitchProps): JSX.Element | null;
